Bug 1924005 (CVE-2021-3393) - CVE-2021-3393 postgresql: Partition constraint violation errors leak values of denied columns
Summary: CVE-2021-3393 postgresql: Partition constraint violation errors leak values o...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3393
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1926882 1926879 1926880 1926881 1926883 1926884 1927607 1927608 1927865 1927867 1927868 1927871 1967268 1967269
Blocks: 1924006 1924009
TreeView+ depends on / blocked
 
Reported: 2021-02-02 12:16 UTC by Michael Kaplan
Modified: 2021-08-30 18:45 UTC (History)
72 users (show)

Fixed In Version: postgresql 13.2, postgresql 12.6, postgresql 11.11
Doc Type: If docs needed, set a value
Doc Text:
An information leak was discovered in postgresql. A user having UPDATE permission but not SELECT permission to a particular column could craft queries which, under some circumstances, might disclose values from that column in error messages. An attacker could use this flaw to obtain information stored in a column they are allowed to write but not read.
Clone Of:
Environment:
Last Closed: 2021-06-10 15:03:55 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:2452 0 None None None 2021-06-15 18:10:13 UTC
Red Hat Product Errata RHSA-2021:2372 0 None None None 2021-06-10 10:07:21 UTC
Red Hat Product Errata RHSA-2021:2389 0 None None None 2021-06-14 08:53:44 UTC
Red Hat Product Errata RHSA-2021:2394 0 None None None 2021-06-14 09:17:33 UTC

Description Michael Kaplan 2021-02-02 12:16:06 UTC
A user having some UPDATE privilege on a partitioned table but lacking the
SELECT privilege on some column may nonetheless be able to acquire
denied-column values from an error message.  This is similar to CVE-2014-8161,
but the conditions for exploitation are more rare.

The PostgreSQL project thanks Heikki Linnakangas for reporting this problem.

Comment 1 Michael Kaplan 2021-02-02 12:16:20 UTC
Acknowledgments:

Name: Heikki Linnakangas

Comment 4 Guilherme de Almeida Suckevicz 2021-02-11 17:02:38 UTC
Created mingw-postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1927868]


Created postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1927867]


Created postgresql:12/postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1927865]

Comment 5 Guilherme de Almeida Suckevicz 2021-02-11 17:13:00 UTC
Created postgresql:11/postgresql tracking bugs for this issue:

Affects: fedora-all [bug 1927871]

Comment 6 Tomas Hoger 2021-06-04 08:23:43 UTC
Upstream advisory:

https://www.postgresql.org/support/security/CVE-2021-3393/

Comment 8 errata-xmlrpc 2021-06-10 10:07:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:2372 https://access.redhat.com/errata/RHSA-2021:2372

Comment 9 Product Security DevOps Team 2021-06-10 15:03:55 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3393

Comment 10 errata-xmlrpc 2021-06-14 08:53:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:2389 https://access.redhat.com/errata/RHSA-2021:2389

Comment 11 errata-xmlrpc 2021-06-14 09:17:25 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:2394 https://access.redhat.com/errata/RHSA-2021:2394


Note You need to log in before you can comment on or make changes to this bug.